using System.Collections;

int n;
int q;
int i;

string nqStr = Console.ReadLine();
string[] nqStrNiz = new string[2];
nqStrNiz = nqStr.Split(' ');
int[] nqBrojevi = new int[2];
for(i = 0; i < 2; i++)
{
    nqBrojevi[i] = int.Parse(nqStrNiz[i]);
}

n = nqBrojevi[0];
q = nqBrojevi[1];



string brojeviStr = Console.ReadLine();
string[] brojeviStrNiz = new string[n];
brojeviStrNiz = brojeviStr.Split(' ');
int[] brojeviInt = new int[n];

    for (i = 0; i < n; i++)
    {
        brojeviInt[i] = int.Parse(brojeviStrNiz[i]);
}

Array.Sort(brojeviInt);

string slucajStr = Console.ReadLine();
string[] slucajStrNiz = new string[q];
slucajStrNiz = slucajStr.Split(' ');
int[] slucajInt = new int[q];
    for (i = 0; i < q; i++)
    {
        slucajInt[i] = int.Parse(slucajStrNiz[i]);
        //Console.Write(slucajInt[i] + " ");
    }



int[] brojevi_temp = new int[n + 1];

for (int j = 0; j < q; j++)
{
    int rez = -20;
    for (i = 0; i < n; i++)
    {
        brojevi_temp[i] = brojeviInt[i];
    }

    brojevi_temp[n] = slucajInt[j];

    Array.Sort(brojevi_temp);

    if (slucajInt[j] > brojeviInt[brojeviInt.Length - 1])
    {
        rez = n;
    }
    if (slucajInt[j] < brojeviInt[0])
    {
        rez = n;
    }

    if (slucajInt[j] == brojeviInt[brojeviInt.Length - 1])
    {
        rez = n - 1;
    }
    if (slucajInt[j] == brojeviInt[0])
    {
        rez = n - 1;
    }

    int m = brojevi_temp.Length / 2 + 1;
    int m2 = brojeviInt.Length / 2 + 1;

    int index = Array.IndexOf(brojevi_temp, slucajInt[j]);

    if (brojevi_temp.Length % 2 == 0)
    {
        m -= 1;
        m2 -= 1;
    }
    //else m = m;

    if (m == index + 1)
    {
        rez = 0;
    }

    if (Array.IndexOf(brojevi_temp, slucajInt[j]) > m2 && rez == -20) {
        
        
        Console.WriteLine(Array.IndexOf(brojevi_temp, slucajInt[j]) - m2);
    }

    if (Array.IndexOf(brojevi_temp, slucajInt[j]) < m2 && rez == -20)
    {


        Console.WriteLine(m2 - Array.IndexOf(brojevi_temp, slucajInt[j]));
    }

    if(rez != -20)
    {
        Console.WriteLine(rez);
    }



}